import 'package:equatable/equatable.dart';
import 'package:laki_icu_app/models/bo/bluetooth_read_model.dart';

abstract class BluetoothReadEvent extends Equatable {
  const BluetoothReadEvent();

  @override
  List<Object?> get props => [];
}

class BluetoothReadLoadRequested extends BluetoothReadEvent {
  const BluetoothReadLoadRequested();
}

class BluetoothReadUpdated extends BluetoothReadEvent {
  final BluetoothReadModel info;

  const BluetoothReadUpdated(this.info);

  @override
  List<Object?> get props => [info];
}

class BluetoothReadCleared extends BluetoothReadEvent {
  const BluetoothReadCleared();
}
